<?php
 echo "Entrez un caractère : " ;
 fscanf(STDIN,"%s",$Saisie)    ;
 $Lettre   = $Saisie[0]  ;
 $NumAscii = ord($Lettre);
 if ( ($Lettre >= "A") && ($Lettre <= "Z"))
 {
    $Rang = $NumAscii-64 ;
    echo "$Lettre est la MAJUSCULE numéro : $Rang".PHP_EOL ;
 }
 elseif ( ($Lettre >= "a") && ($Lettre <= "z"))
 {
    $Rang = $NumAscii-96 ;
    echo "$Lettre est la minuscule numéro : $Rang".PHP_EOL ;
 }
 else
 {
    echo "$Lettre n'est pas une lettre de l'alphabet".PHP_EOL ;
 }
?>
